Bug 1969393 - Build fail under s390x
Summary: Build fail under s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firebird
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Philippe Makowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker F-ExcludeArch-s390x 1987475 1987771 1988047
TreeView+ depends on / blocked
 
Reported: 2021-06-08 10:51 UTC by Philippe Makowski
Modified: 2021-08-29 01:58 UTC (History)
6 users (show)

Fixed In Version: firebird-4.0.0.2496-3.fc35 firebird-4.0.0.2496-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-20 09:57:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Philippe Makowski 2021-06-08 10:51:17 UTC
New upstream 4.0.0.2496
build fail under s390x

Comment 1 Dan Horák 2021-06-08 11:50:07 UTC
Could you provide some details next time, please?

Comment 2 Dan Horák 2021-06-08 12:31:24 UTC
the following changes fixed the build for me

diff -up Firebird-4.0.0.2496-0/src/jrd/sort.cpp.orig Firebird-4.0.0.2496-0/src/jrd/sort.cpp
--- Firebird-4.0.0.2496-0/src/jrd/sort.cpp.orig	2021-05-29 15:05:06.000000000 +0000
+++ Firebird-4.0.0.2496-0/src/jrd/sort.cpp	2021-06-08 12:28:57.829688875 +0000
@@ -713,6 +713,7 @@ void Sort::diddleKey(UCHAR* record, bool
 	for (sort_key_def* key = m_description.begin(), *end = m_description.end(); key < end; key++)
 	{
 		UCHAR* p = record + key->getSkdOffset();
+		SORTP* lwp = (SORTP*) p;
 		USHORT n = key->getSkdLength();
 		USHORT complement = key->skd_flags & SKD_descending;
 
diff -up Firebird-4.0.0.2496-0/src/jrd/sort.h.orig Firebird-4.0.0.2496-0/src/jrd/sort.h
--- Firebird-4.0.0.2496-0/src/jrd/sort.h.orig	2021-05-29 15:05:06.000000000 +0000
+++ Firebird-4.0.0.2496-0/src/jrd/sort.h	2021-06-08 12:29:02.179688875 +0000
@@ -27,6 +27,7 @@
 #include "../include/fb_blk.h"
 #include "../common/DecFloat.h"
 #include "../jrd/TempSpace.h"
+#include "../jrd/align.h"
 
 namespace Jrd {

Comment 3 Dan Horák 2021-06-08 12:45:28 UTC
but there is still an issue in the employee test ...

Comment 4 Caolan McNamara 2021-06-11 08:36:37 UTC
could we build for s390x with the buildfix in place and disable the tests temporarily for that arch so firebird dependencies (like libreoffice) can be built in the meantime ?

Comment 5 Dan Horák 2021-06-11 09:17:26 UTC
Let me open an upstream PR with the fixes. The employee example is built during the "build" phase, but I think we could circumvent the failure I believe.

Comment 6 Dan Horák 2021-06-11 09:36:59 UTC
opened https://github.com/FirebirdSQL/firebird/pull/6852

Comment 7 Dan Horák 2021-06-11 10:10:15 UTC
for the record, this is the list of affected packages

[dan@talos ~]$ sudo dnf --repoid=rawhide-source --arch=src repoquery --whatrequires firebird-devel                                                                                            

flamerobin-0:0.9.3.1-16.fc34.src
hydra-0:9.2-2.fc35.src
libreoffice-1:7.1.3.2-4.fc35.src
opendbx-0:1.4.6-26.fc34.src
php-0:8.0.7-1.fc35.src
python-fdb-0:2.0.1-2.fc34.src
qt-1:4.8.7-60.fc35.src
qt5-qtbase-0:5.15.2-18.fc35.src

Comment 8 Remi Collet 2021-06-15 14:32:41 UTC
For memory, usage temporarily disabled for new PHP build.

Please ping me to re-enable when fixed

Comment 9 Robert Scheck 2021-07-25 14:21:04 UTC
Is there a specific reason that the (merged) upstream patch mentioned in comment #6 isn't applied to Fedora, yet?

Comment 10 Philippe Makowski 2021-07-26 09:00:38 UTC
(In reply to Robert Scheck from comment #9)
> Is there a specific reason that the (merged) upstream patch mentioned in
> comment #6 isn't applied to Fedora, yet?

yes, because, this patch is not enough
build still fail cf https://kojipkgs.fedoraproject.org//work/tasks/4365/72674365/build.log
It is not a good idea to disable employee example, the fact that employee example fail is an indicator that the build is not ok.

Comment 11 Dan Horák 2021-07-26 09:11:27 UTC
Right, there is still some issue somewhere as exposed by the failing "employee" example. Unfortunately I haven't enough time yet to investigate it more deeply.

Comment 12 Robert Scheck 2021-07-26 22:15:14 UTC
Thank you for the explanation.

Please ping me to re-enable perl-DBD-Firebird when firebird 4.x on s390x has been fixed - thank you.

Comment 13 Ben Cotton 2021-08-10 13:07:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 14 Philippe Makowski 2021-08-12 08:54:42 UTC
block https://bugzilla.redhat.com/show_bug.cgi?id=1987475

Comment 15 Philippe Makowski 2021-08-20 09:57:03 UTC
Fixed in firebird-4.0.0.2496-3.fc35
Thanks to Alexander Peshkov

(In reply to Robert Scheck from comment #12)
> Thank you for the explanation.
> 
> Please ping me to re-enable perl-DBD-Firebird when firebird 4.x on s390x has
> been fixed - thank you.

(In reply to Remi Collet from comment #8)
> For memory, usage temporarily disabled for new PHP build.
> 
> Please ping me to re-enable when fixed

https://bodhi.fedoraproject.org/updates/FEDORA-2021-4064ad93c9

Comment 16 Fedora Update System 2021-08-20 10:25:46 UTC
FEDORA-EPEL-2021-3685859372 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3685859372

Comment 17 Fedora Update System 2021-08-21 01:41:57 UTC
FEDORA-EPEL-2021-3685859372 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3685859372

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-08-29 01:58:58 UTC
FEDORA-EPEL-2021-3685859372 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.